Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to install Oracle JavaEE 6 SDK with Glassfish on Ubuntu 12.04 with Java SDK 7. I have downloaded java_ee_sdk-6u4-jdk7-linux-x64.sh already, but when I run it on terminal, the wizard appears, and after few steps, I get an Error Message Dialog:

An internal Error has occurred. Please contact your system administrator... null.

And, the terminal is showing something like

WARNING: Could not process a navigation event for command=AC_NEXT [Command=AC_NEXT Error=null ]

What can I do? How can I install J2EE/Glassfish under linux x64?

share|improve this question

2 Answers 2

up vote 2 down vote accepted

For your information: To install J2EE and Glassfish, we can use the Open Source version (Community Server): http://glassfish.java.net/ Just download and start it. It works!

share|improve this answer

You can give ubuntu repositories a try. I installed openjdk 7 from the ubuntu repositories and believe me it's working great.

sudo apt-get install <package-name>

Although you can install oracle's jdk; just issue the javac command on the terminal to see what packages are available.

I hope the information is helpful.

share|improve this answer
    
Thanks. I'd like to use openjava and see if I can install the J2EE on that environment, but I have installed the oracle jdk7 already on my machine and I don't want not remove it, since I installed Android and some other development tools. The j2ee sdk stands for Java Enterprise Edition, and it give us a very rich platform (EJB, JSP, Servlets support) with the glassfish application server. –  Gabriel Mendez Sep 15 '12 at 2:28

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.